Description: Enable the same hardening, but this time for clang
Author: Peter Van Eynde <pvaneynd@debian.org>
Forwarded: not needed

--- cmucl.orig/src/lisp/Config.x86_linux_clang
+++ cmucl/src/lisp/Config.x86_linux_clang
@@ -3,7 +3,10 @@
 
 CC = clang
 CPPFLAGS += -m32 -D__NO_CTYPE -D_GNU_SOURCE
+CPPFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
 CFLAGS += -march=pentium4 -mfpmath=sse -mtune=generic
+CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
+CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
 
 UNDEFSYMPATTERN = -Xlinker -u -Xlinker &
 ASSEM_SRC +=  linux-stubs.S
@@ -11,5 +14,6 @@
 OS_LIBS = -ldl
 OS_LINK_FLAGS = -m32 -rdynamic -Xlinker --export-dynamic -Xlinker -Map -Xlinker foo
 OS_LINK_FLAGS += -Wl,-z,noexecstack
+OS_LINK_FLAGS += $(shell dpkg-buildflags --get LDFLAGS)
 
 EXEC_FINAL_OBJ = exec-final.o
